Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.dtfj.java
Interface JavaHeap

    public interface JavaHeap

Represents a heap of managed objects. There may be multiple heaps within a JVM, for instance a generational heap and a class heap. Additionally, heaps may consist of non-contiguous memory regions. For instance, an object heap may be divided into a hot and cold section.

Author:
  pburka

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getName()` Get a brief textual description of this heap.
`java.util.Iterator` | `getObjects()` Get the set of objects which are stored in this heap.
`java.util.Iterator` | `getSections()` Get the set of contiguous memory regions which form this heap.
`int` | `hashCode()`

Method Detail

### getSections

    java.util.Iterator getSections()

  Get the set of contiguous memory regions which form this heap.

  Returns:
    an iterator over the collection of contiguous memory regions which form this heap
  See Also:
    `ImageSection`, `CorruptData`

### getName

    java.lang.String getName()

  Get a brief textual description of this heap.

  Returns:
    a brief textual description of this heap

### getObjects

    java.util.Iterator getObjects()

  Get the set of objects which are stored in this heap.

  Returns:
    an iterator over the collection of objects which are stored in this heap
  See Also:
    `JavaObject`, `CorruptData`

### equals

    boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` -
  Returns:
    True if the given object refers to the same Java Heap in the image

### hashCode

    int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD